Bug 549821 - Review Request: dcap - Client Tools for dCache
Summary: Review Request: dcap - Client Tools for dCache
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-22 18:33 UTC by Mattias Ellert
Modified: 2010-04-02 02:41 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-20 03:40:41 UTC
steve.traylen: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-12-22 18:33:55 UTC
Spec URL: http://www.grid.tsl.uu.se/review/dcap.spec
SRPM URL: http://www.grid.tsl.uu.se/review/dcap-1.2.44-1.fc12.src.rpm

Description:
dCache is a distributed mass storage system.
This package contains the client library and tools.

rpmlint output:
$ rpmlint rpmbuild/RPMS/x86_64/dcap-*1.2.44-1.fc12.x86_64.rpm rpmbuild/SRPMS/dcap-1.2.44-1.fc12.src.rpm
dcap.x86_64: W: no-documentation
dcap-devel.x86_64: W: no-documentation
dcap-tunnel-gsi.x86_64: W: no-documentation
dcap-tunnel-krb.x86_64: W: no-documentation
dcap-tunnel-ssl.x86_64: W: no-documentation
dcap-tunnel-telnet.x86_64: W: no-documentation
9 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Steve Traylen 2010-03-07 15:18:35 UTC
Review:  dcap-1.2.44-2.fc14.src.rpm  
Date:    March 7th 2010
Koji Build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2036638

*  MUST: rpmlint must be run on every package. The output should be 
         posted in the review.
$ rpmlint SPECS/dcap.spec RPMS/x86_64/dcap-* \
          SRPMS/dcap-1.2.44-2.fc14.src.rpm 
SPECS/dcap.spec: W: invalid-url Source0: dcap-1.2.44.tar.gz
dcap.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap.x86_64: W: spelling-error %description -l en_US dCache -> d Cache, cache, cached
dcap.x86_64: W: no-documentation
dcap-devel.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-devel.x86_64: W: spelling-error %description -l en_US dCache -> d Cache, cache, cached
dcap-devel.x86_64: W: no-documentation
dcap-libs.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-libs.x86_64: W: spelling-error %description -l en_US dCache -> d Cache, cache, cached
dcap-tunnel-gsi.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-tunnel-gsi.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
dcap-tunnel-gsi.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
dcap-tunnel-gsi.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely
dcap-tunnel-krb.x86_64: W: spelling-error Summary(en_US) Kerberos -> Kerosene, Kerbside, Cerberus
dcap-tunnel-krb.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-tunnel-krb.x86_64: W: spelling-error %description -l en_US kerberos -> kerosene, kerbside, Cerberus
dcap-tunnel-krb.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
dcap-tunnel-krb.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
dcap-tunnel-krb.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely
dcap-tunnel-ssl.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-tunnel-ssl.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
dcap-tunnel-ssl.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
dcap-tunnel-ssl.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely
dcap-tunnel-ssl.x86_64: W: no-documentation
dcap-tunnel-telnet.x86_64: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap-tunnel-telnet.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
dcap-tunnel-telnet.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
dcap-tunnel-telnet.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely
dcap-tunnel-telnet.x86_64: W: no-documentation
dcap.src: W: spelling-error Summary(en_US) dCache -> d Cache, cache, cached
dcap.src: W: spelling-error %description -l en_US dCache -> d Cache, cache, cached
dcap.src: W: non-coherent-filename dcap-1.2.44-2.fc14.src.rpm dcap-1.2.44-2.fc14.x86_64.rpm
dcap.src: W: invalid-url Source0: dcap-1.2.44.tar.gz
9 packages and 1 specfiles checked; 0 errors, 33 warnings.

YES. All the spelling errors are acceptable, libs, plugins and runtime are in common
     usage.

*  MUST: The package must be named according to the Package Naming 
         Guidelines.
YES.

*  MUST: The spec file name must match the base package %{name}, 
         in the format %{name}.spec unless your package has an exemption.
YES.
*  MUST: The package must meet the Packaging Guidelines.
YES. In particular the CFLAGS being used 
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -g -I. -fPIC -Wall -pedantic -pipe -D_REENTRANT -DLIBC_SYSCALLS  -DOPEN_SYM=\"open\" -DCLOSE_SYM=\"close\" -DREAD_SYM=\"read\" -DWRITE_SYM=\"write\" -DLSEEK_SYM=\"lseek\" -DLSEEK64_SYM=\"lseek64\" -DPREAD_SYM=\"pread\" -DPREAD64_SYM=\"pread64\" -DPWRITE_SYM=\"pwrite\" -DPWRITE64_SYM=\"pwrite64\" -DSTAT_SYM=\"__xstat\" -DSTAT64_SYM=\"__xstat64\" -DFSTAT64_SYM=\"__fxstat64\" -DLSTAT_SYM=\"__lxstat\" -DLSTAT64_SYM=\"__lxstat64\" -DFSTAT_SYM=\"__fxstat\" -DFSYNC_SYM=\"fsync\" -DDUP_SYM=\"dup\" -DOPENDIR_SYM=\"opendir\" -DCLOSEDIR_SYM=\"closedir\" -DREADDIR_SYM=\"readdir\" -DREADDIR64_SYM=\"readdir64\" -DTELLDIR_SYM=\"telldir\" -DSEEKDIR_SYM=\"seekdir\" -DUNLINK_SYM=\"unlink\" -DRMDIR_SYM=\"rmdir\" -DMKDIR_SYM=\"mkdir\" -DCHMOD_SYM=\"chmod\" -DACCESS_SYM=\"access\" -DRENAME_SYM=\"rename\" -DCHOWN_SYM=\"chown\" -DWRITEV_SYM=\"writev\" -DREADV_SYM=\"readv\" -D_GNU_SOURCE   -c -o dcap.o dcap.c

which at least includes all of '%{optflags}.


*  MUST: The package must be licensed with a Fedora approved license 
         and meet the Licensing Guidelines .
YES. LGPLv2+ and BSD.

*  MUST: The License field in the package spec file must match the actual 
         license. 
NO:
There's a couple of files that look might they may be burrowed from elsewhere. 
getopt.c is a BSD one so maybe the main package should also be BSD.

addler32.c looks to have been burrowed from zlib.

*  MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text 
         of the license(s) for the package must be included in %doc.
YES: COPYING.LIB and LICENSE file present.
*  MUST: The spec file must be written in American English.
YES:
*  MUST: The spec file for the package MUST be legible. 
YES:
*  MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum 
         for this task. If no upstream URL can be specified for this package,
         please see the Source URL Guidelines for how to deal with this.
YES: But see general comment below about versions.
*  MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture. 
YES.
*  MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in 
         the spec in ExcludeArch. Each architecture listed in ExcludeArch 
         MUST have a bug filed in bugzilla, describing the reason that 
         the package does not compile/build/work on that architecture.
         The bug number MUST be placed in a comment, next to the 
         corresponding ExcludeArch line. 
YES.
*  MUST: All build dependencies must be listed in BuildRequires,
         except for any that are listed in the exceptions section of
         the Packaging Guidelines ; inclusion of those as BuildRequires 
         is optional. Apply common sense.
YES.
*  MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is 
         strictly forbidden.
YES.
*  MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's
         default paths, must call ldconfig in %post and %postun. 
YES.
*  MUST: Packages must NOT bundle copies of system libraries.
YES. There is no obvious adler32 lib?
*  MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the  
         rationalization for relocation of that specific package. 
         Without this, use of Prefix: /usr is considered a blocker. 
YES. Not relocatable.
* MUST: A package must own all directories that it creates. If it 
         does not create a directory that it uses, then it should 
         require a package which does create that directory. 
YES. 
* MUST:  A Fedora package must not list a file more than once in the 
         spec file's %files listings. 
YES.
* MUST:  Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example. Every %files 
         section must include a %defattr(...) line. 
YES.
* MUST:  Each package must have a %clean section, which contains 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES.
* MUST:  Each package must consistently use macros.
YES.
* MUST:  The package must contain code, or permissable content.
YES.
* MUST:  Large documentation files must go in a -doc subpackage.  
         (The definition of large is left up to the packager's 
         best judgement, but is not restricted to size. Large 
         can refer to either size or quantity).
YES.
* MUST:  If a package includes something as %doc, it must not affect 
         the runtime of the application. To summarize: If it is in 
         %doc, the program must run properly if it is not present.
YES.
* MUST:  Header files must be in a -devel package.
YES.
* MUST:  Static libraries must be in a -static package.
YES.
* MUST:  Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
         (for directory ownership and usability).
YES.
* MUST:  If a package contains library files with a suffix 
         (e.g. libfoo.so.1.1), then library files that end in .so 
         (without suffix) must go in a -devel package. 
YES.
* MUST:  In the vast majority of cases, devel packages must require 
         the base package using a fully versioned dependency: 
         Requires: %{name} = %{version}-%{release}
YES.
* MUST:  Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.[21]
YES.
* MUST:  Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly 
         installed with desktop-file-install in the %install section.
         If you feel that your packaged GUI application does not need 
         a .desktop file, you must put a comment in the spec file with 
         your explanation. 
YES.
* MUST:  Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first 
         package to be installed should own the files or directories 
         that other packages may rely upon. This means, for example, 
         that no package in Fedora should ever share ownership with any of 
         the files or directories owned by the filesystem or man package. 
         If you feel that you have a good reason to own a file or 
         directory that another package owns, then please present 
         that at package review time. 
YES.
*  MUST: At the beginning of %install, each package MUST run 
         rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
YES.
*  MUST: All filenames in rpm packages must be valid UTF-8.
YES.


General comments: The source is generated with.

#   svn co http://svn.dcache.org/dCache/tags/dcap-1.9.3-7 \
#           dcap-1.2.44

How does 1.9.3-7 map to dcap-1.2.44 , maybe a comment to get the
version out of dcap_version.c is needed just to make it
clearer.

Comment 3 Mattias Ellert 2010-03-10 07:41:52 UTC
(In reply to comment #2)

Hi!

Sorry for the delay. I was waiting for upstream to make a new release I knew was going to be tagged "soon". The tagging happened yesterday, so I have created a new package based on this tag:

Spec URL: http://www.grid.tsl.uu.se/review/dcap.spec
SRPM URL: http://www.grid.tsl.uu.se/review/dcap-2.44.0-1.fc12.src.rpm

> *  MUST: The License field in the package spec file must match the actual 
>          license. 
> NO:
> There's a couple of files that look might they may be burrowed from elsewhere. 
> getopt.c is a BSD one so maybe the main package should also be BSD.
> 
> addler32.c looks to have been borrowed from zlib.

The getopt.c file is not used during compilation, so I don't think it should matter. However, there are some files in the plugins/gssapi directory that are under BSD license, which is why I already added a BSD tag to the kerberos and globus tunnel packages. What to do about the main package tag is tricky, since it is used for both the source rpm and the main binary package. The zlib license of the adler32 source was well spotted - I had overlooked that. I have changed the main License tag in the new package to:

License:	LGPLv2+ and zlib and BSD

and added License tags to the sub-packages as appropriate.

> General comments: The source is generated with.
> 
> #   svn co http://svn.dcache.org/dCache/tags/dcap-1.9.3-7 \
> #           dcap-1.2.44
> 
> How does 1.9.3-7 map to dcap-1.2.44 , maybe a comment to get the
> version out of dcap_version.c is needed just to make it
> clearer.    

The new version has svn tag name consistent with the version of the package.

Comment 4 Steve Traylen 2010-03-10 10:57:50 UTC
Concerning addler32.c is it possible just to use the system zlib rather
than this copy?

Steve

Comment 5 Steve Traylen 2010-03-10 11:03:15 UTC
Also given you are already creating your own tar ball then rm getopt.c 
is obviously trivial addition.

Steve

Comment 6 Mattias Ellert 2010-03-10 15:54:14 UTC
(In reply to comment #4)
> Concerning addler32.c is it possible just to use the system zlib rather
> than this copy?

I contacted upstream, and they have supplied a patch for this. I have updated the package:

Spec URL: http://www.grid.tsl.uu.se/review/dcap.spec
SRPM URL: http://www.grid.tsl.uu.se/review/dcap-2.44.0-2.fc12.src.rpm

(In reply to comment #5)
> Also given you are already creating your own tar ball then rm getopt.c 
> is obviously trivial addition.

Upstream's patch also removes this file. I don't know if this part of the patch will stay - some claim the getopt.c is needed on windows. But for now the file is removed by the patch supplied by upstream.

Comment 7 Steve Traylen 2010-03-11 19:17:30 UTC

diff --brief -r dcap-2.44.0 ../SPECS/dcap-2.44.0-0/

shows they are the same.

Good, 

but 
dist-f14 build fails
http://koji.fedoraproject.org/koji/taskinfo?taskID=2047198
/var/tmp/rpm-tmp.UnbB6j: line 32: aclocal: command not found
RPM build errors:

autotools needs adding.

Steve

Comment 8 Mattias Ellert 2010-03-11 22:22:05 UTC
(In reply to comment #7)
> but 
> dist-f14 build fails
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2047198
> /var/tmp/rpm-tmp.UnbB6j: line 32: aclocal: command not found
> RPM build errors:
> 
> autotools needs adding.

Duh! Me bad. New version here:

Spec URL: http://www.grid.tsl.uu.se/review/dcap.spec
SRPM URL: http://www.grid.tsl.uu.se/review/dcap-2.44.0-3.fc12.src.rpm

It was a good thing doing a dist-f14 scratch build. It revealed some issues in configure.ac due to the new default behaviour of the linker. I have patched for this new issue in the new version and submitted the patch upstream.

Comment 9 Mattias Ellert 2010-03-11 22:23:37 UTC
Should have mentioned my own dist-f14 successful scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=2047494

Comment 10 Steve Traylen 2010-03-12 07:47:49 UTC
APPROVED

Comment 11 Mattias Ellert 2010-03-12 08:02:32 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: dcap
Short Description: Client Tools for dCache
Owners: ellert
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:

Comment 12 Tom "spot" Callaway 2010-03-15 21:38:09 UTC
CVS done.

Comment 13 Fedora Update System 2010-03-18 07:36:03 UTC
dcap-2.44.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dcap-2.44.0-3.fc12

Comment 14 Fedora Update System 2010-03-18 07:36:06 UTC
dcap-2.44.0-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/dcap-2.44.0-3.el4

Comment 15 Fedora Update System 2010-03-18 07:36:12 UTC
dcap-2.44.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dcap-2.44.0-3.fc13

Comment 16 Fedora Update System 2010-03-18 07:36:17 UTC
dcap-2.44.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dcap-2.44.0-3.fc11

Comment 17 Fedora Update System 2010-03-18 07:38:20 UTC
dcap-2.44.0-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dcap-2.44.0-3.el5

Comment 18 Fedora Update System 2010-03-18 22:34:45 UTC
dcap-2.44.0-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dcap-2.44.0-3.el4

Comment 19 Fedora Update System 2010-03-18 22:36:10 UTC
dcap-2.44.0-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dcap-2.44.0-3.el5

Comment 20 Fedora Update System 2010-03-20 03:40:35 UTC
dcap-2.44.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-03-20 03:42:09 UTC
dcap-2.44.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-03-20 03:47:28 UTC
dcap-2.44.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-04-02 02:40:02 UTC
dcap-2.44.0-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-04-02 02:41:35 UTC
dcap-2.44.0-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.